Автор Тема: Проблема с установкой libfreetype6 - отсутствие multiarch-support  (Прочитано 3091 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн kjioyh

  • Новичок форума
  • Сообщений: 3
Добрый день. Впервые пришлось работать с linux системами. Имеется VDS на который устанавливается минимальный Debian 6. Нужно запустить PhantomJS. В принципе установился и заработал, но при запуске некоторых скриптов пишет TypeError: 'undefined' is not an object (evaluating 'phantom.state.length')  Что то со шрифтами? На сайте PhantomJS написано следующее:
Цитировать
It is however expected that some base libraries necessary for rendering (FreeType, Fontconfig) and the basic font files are available in the system.
Для установки FreeType необходима  libfreetype6 2.4.5+, скачал .deb для своей архитектуры (i386, при переустановке VDS можно выбрать её, либо AMD64) но во время её установки пишет ошибку dpkg: regarding libfreetype6_2.4.9-1.1_i386.deb containing libfreetype6, pre-dependency problem:
 libfreetype6 pre-depends on multiarch-support
  multiarch-support is not installed.
нет мультиархитектурной поддержки? что такое и как исправить? Спасибо.

*Прочтите правила форума. Название темы малоинформативно, измените его. qupl
« Последнее редактирование: 15 Мая 2013, 13:29:00 от kjioyh »
 

Онлайн qupl

Re: ]TypeError: 'undefined'
« Ответ #1 : 15 Мая 2013, 12:48:58 »
sudo aptitude install multiarch-support

Оффлайн kjioyh

  • Новичок форума
  • Сообщений: 3
Re: ]TypeError: 'undefined'
« Ответ #2 : 15 Мая 2013, 13:10:46 »
Couldn't find any package whose name or description matched "multiarch-support"Не находит ничего такого. Возможно установить эту штуку deb  пакетом?
 

Онлайн qupl

Re: ]TypeError: 'undefined'
« Ответ #3 : 15 Мая 2013, 13:13:11 »
Выложите вывод
lsb_release -a
cat /etc/apt/sources.list

Оффлайн kjioyh

  • Новичок форума
  • Сообщений: 3
Re: ]TypeError: 'undefined'
« Ответ #4 : 15 Мая 2013, 13:27:51 »
root@karpukopf:/# cat /etc/apt/sources.list
# please use local debian mirror, see http://www.debian.org/mirror/list
#
deb http://ftp.de.debian.org/debian             squeeze main contrib non-free
deb http://ftp.de.debian.org/debian-security    squeeze/updates main contrib non-free
- Вот что пишет на cat /etc/apt/sources.list
 

Онлайн qupl

Пакет multiarch-support  доступен начиная с wheezy. Либо ставить его, либо искать другие пути удовлетворения зависимостей.

Оффлайн vladimir_ar

Так а архитектура то какая? С чего это пакету 386 просить мультиарч при 32-битной системе?
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн Malaheenee

vladimir_ar, в сиде он устанавливается даже 32-битной системе.
Все мы где-то, когда-то и в чем-то были новичками.
 

Онлайн qupl

kjioyh,  зачем нужно было пакет руками скачивать? В backports он есть http://packages.debian.org/squeeze-backports/libfreetype6 версии > 2.4.5. У него нет в зависимостях multiarch-support.

Теги:
     

    Проблема с тачпадом

    Автор kroko

    Ответов: 3
    Просмотров: 1438
    Последний ответ 23 Февраля 2014, 11:23:15
    от qupl
    Проблема с обновлением списка пакетов репозитория Debian

    Автор andman

    Ответов: 4
    Просмотров: 5040
    Последний ответ 29 Мая 2018, 18:45:15
    от Листик
    Проблема с запуском Debian 6.0.5.

    Автор Megabytt

    Ответов: 6
    Просмотров: 2203
    Последний ответ 11 Июня 2012, 15:26:34
    от Megabytt
    Debian 8.2.0 и Systemback проблема

    Автор Psyside

    Ответов: 9
    Просмотров: 6295
    Последний ответ 15 Мая 2017, 10:40:22
    от RedEye
    Проблема с рабочим столом

    Автор gdskaa

    Ответов: 4
    Просмотров: 1211
    Последний ответ 04 Марта 2021, 13:50:02
    от gdskaa